Skip to main content
GET
/
api-public
/
payments
/
{id}
Buscar pagamento por ID
curl --request GET \
  --url https://public-api-prod.dominipay.com.br/api-public/payments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "status": "<string>",
  "amount": 123,
  "storeId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "isPublic": true,
  "feeAmount": 123,
  "liquidValue": 123,
  "observation": "<string>",
  "qrCodeUrl": "<string>",
  "qrCopyPaste": "<string>",
  "webhookUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Pagamento encontrado

id
string
required
status
string
required
amount
number
required
storeId
string
required
createdAt
string<date-time>
required
email
string
required
isPublic
boolean
required
feeAmount
number | null
liquidValue
number | null
observation
string | null
qrCodeUrl
string | null
qrCopyPaste
string | null
webhookUrl
string | null